import bb.cascades 1.0

Container{
    id: hdCover
    
    property alias artistNameText: artistName.text
    property alias songTitleText: songTitle.text
    property alias albumArtSource: albumArt.imageSource
	
	layout: DockLayout {
	}
    
    // Fill the entire active frame space given
    horizontalAlignment: HorizontalAlignment.Fill
    verticalAlignment: VerticalAlignment.Fill
    
    ImageView{
        id: albumArt
        scalingMethod: ScalingMethod.AspectFill
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        preferredWidth: 310
        preferredHeight: 211
        minHeight: 211
        maxHeight: 211
        minWidth: 310
        maxWidth: 310
        
        topMargin: 0
    }
    
    ImageView {
        imageSource: "asset:///images/common/nowplaying_overlaygradient_n_series.png"    
        horizontalAlignment: HorizontalAlignment.Center
        verticalAlignment: VerticalAlignment.Top
    }
	
        
	Container {
	    layout: DockLayout {
	    }

        //Specifying a value here so that HDCover headers are consistent across music and video apps 
        preferredHeight: 80
        minHeight: 80
        maxHeight: 80
        
        // Specify the padding. Top and bottom are different because labels implicitly put their own padding
        bottomPadding: 10
        topPadding: 2
        leftPadding: 15
        rightPadding: 15

        layoutProperties: StackLayoutProperties {
	        spaceQuota: 1
	    }
	    
        // fill the entire width
        horizontalAlignment: HorizontalAlignment.Fill
        
	    
        /*
         * This is the artist name that shows in the app's thumbnail when it is minimized
         * while playing a song. The font size is static on purpose, so that the thumbnail
         * is consistent with other thumbnailed apps with 'HD covers'
         */
        Label {
            id: artistName
            textStyle.color: ColorUtils.getSecondaryTextColor()
            textStyle.fontSize: FontSize.PointValue
            textStyle.fontSizeValue: 6
            textStyle.fontWeight: FontWeight.Normal
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Top
            topMargin: 0
            bottomMargin: 0
            textFormat: TextFormat.Plain
        }
        
        
        /*
         * This is the song title that shows in the app's thumbnail when it is minimized
         * while playing a song. The font size is static on purpose, so that the thumbnail
         * is consistent with other thumbnailed apps with 'HD covers'
         */
        Label{
            id: songTitle
            textStyle.color: ColorUtils.getPrimaryTextColor()
            textStyle.fontSize: FontSize.PointValue
            textStyle.fontSizeValue: 7.11
            textStyle.fontWeight: FontWeight.Normal
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: artistName.visible ? VerticalAlignment.Bottom : VerticalAlignment.Center
            topMargin: 0
            bottomMargin: 0
            textFormat: TextFormat.Plain
        }
    }
    
}