/*
* 720x720 layout constants
*/


var SCREEN_TITLE_HEIGHT	              = 93;  // ScreenTitle.qml 

//
//General
//
var CONTROL_PADDING = 10; 

// 
// Album Header
// 
var ALBUM_HEADER_SPACING              = 5;   // AlbumHeaderWithCover.qml
                                         // used as a space between albums on the Artist Details screen
var ALBUM_HEADER_HEIGHT               = 131; // ImageThreeRowTextHeader.qml
var ALBUM_HEADER_TEXT_TOP_PADDING     = 5; // ImageThreeRowTextHeader.qml
var ALBUM_HEADER_TEXT_RIGHT_PADDING   = 0; // ImageThreeRowTextHeader.qml
var ALBUM_HEADER_TEXT_LOWER_PADDING   = 0; // ImageThreeRowTextHeader.qml
var ALBUM_HEADER_TOP_FONT_SIZE        = FontSize.Large; // ImageThreeRowTextHeader.qml
var ALBUM_HEADER_TOP_FONT_SIZE_VALUE  = 0; // ImageThreeRowTextHeader.qml
var ALBUM_HEADER_LOWER_FONT_SIZE      = FontSize.Medium; // ImageThreeRowTextHeader.qml
var ALBUM_HEADER_LOWER_FONT_SIZE_VALUE= 0; // ImageThreeRowTextHeader.qml
var ALBUM_HEADER_SHUFFLE_ALIGNMENT    = VerticalAlignment.Bottom; // ImageThreeRowTextHeader.qml

//
// Library list view
//
var LIST_ITEM_VISUAL_HEIGHT           = 93; // ListItemVisual.qml
var LIST_ITEM_VISUAL_PLAYING_BG       = ColorUtils.get(0xffe4e4e4) // MusicListView.qml, use for background of currently playing track
var LIST_ITEM_VISUAL_PLAYING_TEXT     = ColorUtils.get(0xff00a8df) // MusicListView.qml, use for text color of currently playing track
var LIBRARY_LIST_VIEW_LEFT_PADDING    = 0;   // MusicListViewHelper.qml, use for left padding
var LIBRARY_LIST_VIEW_RIGHT_PADDING   = 0;   // MusicListViewHelper.qml, use for right padding
var LIBRARY_LIST_VIEW_SPACING         = 3;   // MusicListViewHelper.qml, use for spacing between cells
var LIBRARY_LIST_VIEW_SPACING_HEADER  = 5;   // MusicListViewHelper.qml, use for spacing before and after header
var LIBRARY_LIST_VIEW_COLUMN_COUNT    = 4;   // MusicListViewHelper.qml, use for the number of columns in grid views

//
// Tracks list view
//
var TRACKS_LIST_TITLE_COLOR           = ColorUtils.get(0xff909090); // ListTextLabel.qml
var TRACKS_LIST_VIEW_PADDING          = 6; // ArtistAlbumList.qml, PlaylistList.qml, GenreList.qml and NowPlayingAlbumList.qml
                                           // used for leftPadding and rightPadding
var TRACKS_LIST_HEADER_FONT_SIZE      = FontSize.XSmall; // ListTextLabel.qml
var TRACKS_LIST_HEADER_FONT_SIZE_VALUE= 0; // ListTextLabel.qml
var EDIT_PL_TITLE_FONT_SIZE           = FontSize.Medium; // EditListItemVisual.qml
var EDIT_PL_TITLE_FONT_SIZE_VALUE     = 0; // EditListItemVisual.qml
var EDIT_PL_SUBTITLE_FONT_SIZE        = FontSize.Small; // EditListItemVisual.qml
var EDIT_PL_SUBTITLE_FONT_SIZE_VALUE  = 0; // EditListItemVisual.qml

//
//Smart Screen view
//
var SMART_SCREEN_SECTION_SIZE         = 8;  // Smart.qml increment size for expanding
var SMART_SCREEN_MAX_SIZE             = 32; // Smart.qml max size of recent section

//
// Now Playing screen
//
var NOW_PLAYING_TITLE_TARGET_VISIBILITY = false; // target visibility when album cover opens
var NOW_PLAYING_TITLE_TARGET_OPACITY  = 0.0; // target opacity when album cover opens
var NOW_PLAYING_ARTIST_FONT_SIZE      = FontSize.Small;
var NOW_PLAYING_ARTIST_FONT_SIZE_VALUE= 0;
var NOW_PLAYING_TRACK_FONT_SIZE       = FontSize.Large;
var NOW_PLAYING_TRACK_FONT_SIZE_VALUE = 0;
var ALBUM_ART_ANIMATION_DURATION	  = 400;
var TIMEOUT_SCREEN_ENABLED            = true; // timeout screen is only enabled for N-Series devices for now
var ALBUM_LIST_HEADER_HEIGHT          = 86;
var ALBUM_LIST_HEADER_TOP_PADDING     = 4;
var ALBUM_LIST_HEADER_FONT_SIZE       = FontSize.Large;
var ALBUM_LIST_HEADER_FONT_SIZE_VALUE = 0;
var TRACKS_LIST_HORIZONTAL_PADDING    = 6;
var TRACKS_LIST_BOTTOM_PADDING        = 115;
var VOLUME_CONTROL_HEIGHT             = SCREEN_TITLE_HEIGHT;
var VOLUME_CONTROL_DEFAULT_VISIBILITY = false;
var VOLUME_CONTROL_DEFAULT_OPACITY    = 0.0;
var VOLUME_CONTROL_PADDING            = 8;
var TRACKS_LIST_HIDE_ACTION_BAR       = true; // if true, the action bar will be hidden when tracks list is scrolling
var VOLUME_CONTROL_PADDING            = 5;
var TIME_SLIDER_PADDING               = 3;
var TIME_SLIDER_USE_IMAGE_VIEW        = true; // if true, the background of time slider is an ImageView
var TIME_SLIDER_OUTER_TOP_PADDING     = 0;
var TIME_SLIDER_OPACITY               = 1.0;
var TIME_SLIDER_HEIGHT                = 110;
var TIME_SLIDER_COLOR                 = Color.Transparent;
var TIME_SLIDER_FONT_SIZE             = FontSize.XSmall;
var TIME_SLIDER_FONT_SIZE_VALUE       = 0;
var ALBUM_COVER_H_PADDING             = 3;
var ALBUM_COVER_HEIGHT                = 714;
var ALBUM_COVER_OPEN_POSITION         = 315;
var ALBUM_COVER_OPEN_THRESHOLD        = 75;
var FULL_ALBUM_COVER_POSITION         = 0;
var REMOTE_INFO_BOTTOM_PADDING        = TIME_SLIDER_HEIGHT + 3; // padding of "Playing on: " so that it appears on the top of time slider
var REMOTE_INFO_COLOR                 = Color.Transparent;
var REMOTE_INFO_OPACITY               = 1.0; // opacity of the "Playing on: " label 
var REMOTE_INFO_TOP_FONT_SIZE         = FontSize.XSmall; // text indicating we are playing on a remote renderer
var REMOTE_INFO_TOP_FONT_SIZE_VALUE   = 0;
var REMOTE_INFO_LOWER_FONT_SIZE       = FontSize.Medium; // the dlna renderer name
var REMOTE_INFO_LOWER_FONT_SIZE_VALUE = 0;

//Radio Now Playing Screen
var RADIO_ALBUM_LIST_PADDING          = 16;
var RADIO_TUNE_TO_BUTTON_HEIGHT       = 98;
var RADIO_PLAYER_ALBUM_HEIGHT         = 334;
var RADIO_LIST_BOTTOM_PADDING         = 116;
var RADIO_LIST_SCANNING_INDICATOR_HEIGHT = 40;
var RADIO_OVERLAY_FONT_SIZE_VALUE     = 23;
var RADIO_OVERLAY_TUNE_FONT_SIZE      = FontSize.Large;
var RADIO_LIST_ITEM_TEXT_STYLE_BASE   = FontUtils.P4M;
var RADIO_SCREEN_TITLE_FONT_SIZE      = FontSize.XXSmall;

//Translation for Expander Icon in Recent screen
var EXPANDER_ICON_TRANSLATION_X       = 3.0;
var EXPANDER_ICON_TRANSLATION_Y       = 5.0;
var EXPANDER_SCROLL_EXTRA_ROW		  = true; //scroll an extra row after expansion to ensure full expand button is seen

//Active frames/ HD Covers
var HDCOVER_GRID_ALBUM_COUNT				  = 2;
var HDCOVER_ALBUM_COVER_HEIGHT				  = 155;
var HDCOVER_ALBUM_COVER_WIDTH				  = 310;
var HDCOVER_HEADER_HEIGHT					  = 56;
var HDCOVER_SHOW_NOW_PLAYING_OVERLAY		  = false;
var HDCOVER_SHOW_RECENTLY_PLAYED_OVERLAY	  = true;

//Type to search support
var TYPE_TO_SEARCH_ENABLED                    = true;

//Properties preferred height for a list item
var PROPERTIES_LIST_ITEM_HEIGHT       = 93
