import bb.cascades 1.0
import "../../core"

//Radio HD Cover for 720 x 1280 so active frame is: 310 x 211
Container{
    id: hdCoverRadio
    
    property alias stationFrequencyText: stationFrequency.text
	
    layout: DockLayout {
    }
    
    // Fill the entire active frame space given
    horizontalAlignment: HorizontalAlignment.Fill
    verticalAlignment: VerticalAlignment.Fill
    
    ImageView {
        imageSource: "asset:///images/radio/fmradio_activeframe.png"
    }
    
    ImageView {
        imageSource: "asset:///images/common/nowplaying_overlaygradient_n_series.png"    
        horizontalAlignment: HorizontalAlignment.Center
        verticalAlignment: VerticalAlignment.Top
    }
    
    
    Container {
        layout: StackLayout {
        }
        preferredWidth: 310
        minWidth: 310
        maxWidth: 310
        

        Container {
            //Specifying a value here so that HDCover headers are consistent across music and video apps
            preferredHeight: 80
            minHeight: 80
            maxHeight: 80
            

            // Specify the padding. Top and bottom are different because labels implicitly put their own padding
            bottomPadding: 10
            topPadding: 2
            leftPadding: 15
            rightPadding: 15

            // fill the entire width
            horizontalAlignment: HorizontalAlignment.Fill

            /*
             * This is the radio station title that shows in the app's thumbnail when it is minimized
             * while playing radio. The font size is static on purpose, so that the thumbnail
             * is consistent with other thumbnailed apps with 'HD covers'
             */
            Label {
                text: qsTr("FM Radio") + Retranslate.onLanguageChanged
                textStyle.color: ColorUtils.getPrimaryTextColor()
                textStyle.fontSize: FontSize.PointValue
                textStyle.fontSizeValue: 7.11
                textStyle.fontWeight: FontWeight.Normal
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Center
                topMargin: 0
                bottomMargin: 0
                textFormat: TextFormat.Plain
            }
        }
        
        Container {
            layout: DockLayout {
            }
            
            horizontalAlignment: HorizontalAlignment.Center
            verticalAlignment: VerticalAlignment.Center
            
            Label {
                id: stationFrequency
                textStyle.base: FontUtils.P6M
                text: ""
            }
        }
    }
}