import bb.cascades 1.0
import bb.cascades.multimedia 1.0

Container {
    id: countDurationHeaderWithCover
    property int duration: 0
    property int count: 0
    property alias thumb_file: headerWithCover.thumb_file
    property alias thumb1Uri: headerWithCover.thumb1Uri
    property alias thumb2Uri: headerWithCover.thumb2Uri
    property alias thumb3Uri: headerWithCover.thumb3Uri
    property alias thumb4Uri: headerWithCover.thumb4Uri
    property alias fourSquareVisible: headerWithCover.fourSquareVisible
    property alias defaultImage: headerWithCover.defaultImage

    //hack to make the signal work for both playlists and genres
    //property alias playlist_id: headerWithCover.list_id
    property alias genre_id: headerWithCover.list_id
    
    signal shuffleList(string shuffle_list_id)
    
    property bool isDeleted: false

    scaleY: (isDeleted ? 0 : 1)

    HeaderWithCover {
        id: headerWithCover
        onShuffleList: {
            console.debug("Shuffle List: " + listId );
            countDurationHeaderWithCover.shuffleList( listId );
        }
    }
    
    attachedObjects: [
		LocaleHandler{
			id: myLocaleHandler
			onLanguageChanged: {
				headerWithCover.topText = localeUtils.getTextFromDuration( duration );
				setNumberSongs();
			}
		}
    ]
    
    onCountChanged: {
        setNumberSongs();
    }
    
    function setNumberSongs(){
        //:Number of tracks in a list of songs
        headerWithCover.middleText = qsTr("%n Song(s)", "", count != null ? parseInt(count) : 0);

    }
    
    onDurationChanged: {
        console.debug ("Duration Changed" + duration);
        headerWithCover.topText = localeUtils.getTextFromDuration( duration );
    }
}
