import bb.cascades 1.0
import bb.cascades.multimedia 1.0
import bb.cascades.multimedia.internal 1.0
import bb.system 1.0
import "layoutconstants.js" as LayoutConstants

ThumbsListItem {
    id: thumbsListItem
    
    property alias thumb_file: thumbsListItem.thumbUri
    defaultContentPadding: 0
    defaultImage: "asset:///images/common/album_placeholder.png"
    pressImageSource: "asset:///images/common/core_listitem_pressed.png.amd"
    selectImageSource: "asset:///images/common/core_griditem_pressed.png.amd"
    leftPadding: LayoutConstants.LIBRARY_LIST_VIEW_SPACING
    rightPadding: ListItem.indexInSection % ListItem.view.layout.columnCount == (ListItem.view.layout.columnCount - 1) ? LayoutConstants.LIBRARY_LIST_VIEW_SPACING : 0

    property SystemDialog deleteDialog  //can we avoid this on each one of these.  does this instantiate a new dialog or just an empty ref?
    
    property bool multiSelectionMode: false
    property bool active: ListItem.active
    
    // properties to specify which action items to set
    property bool allowSearchAppWorld: !MediaApplication.corporate // BB World - Work has no music to purchase
    property bool allowAddToPlaylistAction: true
    property bool allowPlayNextAction: true
    property bool allowPlayLastAction: true
    property bool allowMultiSelectAction: true
    property bool allowDeleteAction: true
    property bool allowPlayOnAction: false
    property bool allowPropertiesAction: false
    
    // property that defines the content type for deleting
    property variant contentType: MediaLibraryContentType.AudioType
    
    preferredHeight: 256
    preferredWidth: 256
	      
    opacity: (!multiSelectionMode || ListItem.view.dataModel.selectionList.length == 0 || itemSelected) ? 1.0: 0.7

    contextActions: [
        ActionSet {
            id: myActions
        }
    ]

    contextMenuHandler: MusicContextMenuHandler {
        actionSet: myActions

        onVisualStateChanged: {
            appContext.searchScreen.enableTypeToSearch(ActionMenuVisualState.Hidden == visualState);
        }
    }
    
    onCreationCompleted: {
        ListItem.activationChanged.connect(thumbsListItem.onActivationChanged);
    }
}
