import bb.cascades 1.0
import bb.cascades.music 1.0


Container {
    id: root
    
    property int const_SCREEN_HEIGHT_P: 1180
    property int const_TITLE_HEIGHT: 120
    property variant playlistDataModel; // Dont use alias for custom type or it will result in segfault
    
    layout: DockLayout {}
    horizontalAlignment: HorizontalAlignment.Fill
    verticalAlignment: VerticalAlignment.Fill
    
    background: Color.Black

    property bool selectModeActive: dragDropHandler.multiSelectMode
    
    onPlaylistDataModelChanged: {
        dragDropHandler.dataModel = playlistDataModel;
    }
   
    attachedObjects: [
        DragDropHandler {
            id: dragDropHandler
            scrollView: scrollView
            itemContainer: itemContainer
            rootContainer: root
            horizontalDraggingEnabled: false
            acceleratedScrolling: 1
         },
        MultiSelectHandler {
            id: multiSelectHandler
            status: qsTr("%Ln Item(s) selected", "", dragDropHandler.numberOfSelectedItems)
            actions: [
                DeleteActionItem {
                    enabled: (dragDropHandler.numberOfSelectedItems != dragDropHandler.numberOfItems) && (dragDropHandler.numberOfSelectedItems > 0)
                    onTriggered: {
                        dragDropHandler.deleteMultiSelected();
                    }
                }
            ]
            onActiveChanged: {
                if (active) {
                    dragDropHandler.multiSelectMode = true;
                    scrollView.maxHeight = const_SCREEN_HEIGHT_P - const_TITLE_HEIGHT; //uiMeasures.screenHeight - (uiMeasures.titleBarHeight + uiMeasures.multiSelectBarHeight)
                } else {
                    dragDropHandler.multiSelectMode = false;
                    scrollView.maxHeight = const_SCREEN_HEIGHT_P - const_TITLE_HEIGHT; //uiMeasures.screenHeight - uiMeasures.titleBarHeight
                }
            }
        }
    ]
    
    ScrollView {
        id: scrollView
        
        overlapTouchPolicy: OverlapTouchPolicy.Allow

        maxHeight: const_SCREEN_HEIGHT_P - const_TITLE_HEIGHT //uiMeasures.screenHeight - uiMeasures.titleBarHeight
        
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        
        scrollRole: ScrollRole.Main
        
        scrollViewProperties {
            scrollMode: ScrollMode.Vertical
        }
        
        Container {
            id: "itemContainer"
            
            layout: DockLayout {}
            
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            
            background: Color.Black
        }
    }
}
