import bb.cascades 1.0
import bb.cascades.multimedia 1.0
import bb.cascades.multimedia.internal 1.0

/**
 * This control is the main genres page.
 * It contains a ListView that displays all the genres on your device.
 * IMPORTANT: This is NOT used on N-Series. See 720x720/LibrarySegmentedContainer.qml
 */
Container {
    id: genresPage
    property variant listView: libraryListView
    property alias listModel: libraryListView.dataModel
    
    horizontalAlignment: HorizontalAlignment.Fill
    verticalAlignment: VerticalAlignment.Fill
    
    layout: DockLayout {
        id: dockLayout
    }
    
    Container {   	    
        layout: StackLayout {
            orientation: LayoutOrientation.TopToBottom
        }

     	LibraryListView {
             id: libraryListView

	        contentType: MediaLibraryContentType.GenreType
	        bottomPadding: 6

	    	listItemComponents: [
                ListItemComponent {
                    type: ""
                    DeletableThumbsListItem {
                        id: genresListItem
                        labelText: (!ListItemData["genre"] ? "" : ListItemData["genre"])
                        thumbUri: (!ListItemData["thumb_file"] ? "" : ListItemData["thumb_file"])
                        contentType: MediaLibraryContentType.GenreType
                        itemSelected: (!ListItemData["isSelected"] ? false : ListItemData["isSelected"])
                        multiSelectionMode: ListItem.view.isMultiSelect
                        allowSearchAppWorld: false

                    }
                },
                ListItemComponent {
                    type: "header"
                    content: [
                        Container {/* NO HEADER FOR GENRE */}
                    ]
                }
            ]

            function pushDetailsScreen(indexPath) {
                var selectedItem = libraryListView.dataModel.data(indexPath);
		        var page = tabbedPane.currentNavPane.safePushOnePage("core/GenreDetails.qml");
                commonAnalytics.instance.logPagePush("GenreDetails", "Genres");
		        page.genreIdStr = selectedItem.genre_id;
		        //: unnamed genre
		        page.titleStr = selectedItem.genre;
            }
	    }
	    MusicListViewHelper {
            listView: libraryListView
	    }
    }
}
