import bb.cascades 1.0
import "layoutconstants.js" as LayoutConstants

Container {
    
    // Text to place in the label
    property alias text: headerLabel.text
    
    layout: DockLayout {
    }

    //Specifying a value here so that HDCover headers are consistent across music and video apps 
    preferredHeight: LayoutConstants.HDCOVER_HEADER_HEIGHT
    minHeight: LayoutConstants.HDCOVER_HEADER_HEIGHT
    maxHeight: LayoutConstants.HDCOVER_HEADER_HEIGHT
    
    // Specify the padding. Top and bottom are different because labels implicitly put their own padding
    bottomPadding: 5
    topPadding: 2
    leftPadding: 15
    rightPadding: 15
    
    background: ColorUtils.get(0xff121212)
    
    /*
     * This is the header label
     */
    Label{
        id: headerLabel
        textStyle.color: ColorUtils.getPrimaryTextColor()
        textStyle.fontSize: FontSize.PointValue
        textStyle.fontSizeValue: 7.11
        textStyle.fontWeight: FontWeight.Normal
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Center
        topMargin: 0
        bottomMargin: 0
        textFormat: TextFormat.Plain
    }
}