import bb.cascades 1.0

Container{
    id: hdCover
    
    property alias artistNameText: artistName.text
    property alias songTitleText: songTitle.text
    property alias albumArtSource: albumArt.imageSource
	
	layout: StackLayout {
        orientation: LayoutOrientation.TopToBottom
    }
    
    // Fill the entire active frame space given
    horizontalAlignment: HorizontalAlignment.Fill
    verticalAlignment: VerticalAlignment.Fill
	
        
	Container {
	    layout: DockLayout {
	    }

        //Specifying a value here so that HDCover headers are consistent across music and video apps 
        preferredHeight: 62
        minHeight: 62
        maxHeight: 62
        
        // Specify the padding. Top and bottom are different because labels implicitly put their own padding
        bottomPadding: 5
        topPadding: 2
        leftPadding: 15
        rightPadding: 15

        // use up whatever height is left, but it should be 62 since the image below is 334
        layoutProperties: StackLayoutProperties {
	        spaceQuota: 1
	    }
	    
        // fill the entire width
        horizontalAlignment: HorizontalAlignment.Fill
        
        background: ColorUtils.get(0xff121212)
	    
        /*
         * This is the artist name that shows in the app's thumbnail when it is minimized
         * while playing a song. The font size is static on purpose, so that the thumbnail
         * is consistent with other thumbnailed apps with 'HD covers'
         */
        Label {
            id: artistName
            textStyle.color: ColorUtils.getSecondaryTextColor()
            textStyle.fontSize: FontSize.PointValue
            textStyle.fontSizeValue: 4.8
            textStyle.fontWeight: FontWeight.Normal
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Top
            topMargin: 0
            bottomMargin: 0
            textFormat: TextFormat.Plain
        }
        
        
        /*
         * This is the song title that shows in the app's thumbnail when it is minimized
         * while playing a song. The font size is static on purpose, so that the thumbnail
         * is consistent with other thumbnailed apps with 'HD covers'
         */
        Label{
            id: songTitle
            textStyle.color: ColorUtils.getPrimaryTextColor()
            textStyle.fontSize: FontSize.PointValue
            textStyle.fontSizeValue: 4.8
            textStyle.fontWeight: FontWeight.Normal
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: artistName.visible ? VerticalAlignment.Bottom : VerticalAlignment.Center
            topMargin: 0
            bottomMargin: 0
            textFormat: TextFormat.Plain
        }
    }
    
    ImageView{
        id: albumArt
        scalingMethod: ScalingMethod.AspectFill
        preferredWidth: 334
        preferredHeight: 334
        minHeight: 334
        maxHeight: 334
        minWidth: 334
        maxWidth: 334
        
        topMargin: 0
    }
    
}