import bb.cascades 1.0
import "layoutconstants.js" as LayoutConstants

/**
 * This component is used as the visual for the 2X2 grid for recently played items in HD Cover
 *
 * @param   thumbUri1            The thumbnail of song 1
 * @param   thumbUri2            The thumbnail of song 2
 * @param   thumbUri3            The thumbnail of song 3
 * @param   thumbUri4            The thumbnail of song 4

 */

Container{
    
    id: hdCoverThumbnail
    
    property string thumbUri1: ""
    property string thumbUri2: ""
    property string thumbUri3: ""
    property string thumbUri4: ""
    
    property string default_thumb_uri: "asset:///images/common/hdcover_album_placeholder.png"
    
	Container{
	            
        id: hdCoverThumbnailRow1
        layout: StackLayout {
            orientation: LayoutOrientation.LeftToRight
        }
        
        layoutProperties: StackLayoutProperties {
            spaceQuota: (LayoutConstants.HDCOVER_GRID_ALBUM_COUNT == 4) ? 50 : 100
        }

        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        
        ImageView{
	        id: hdCoverThumbnail1
	        layoutProperties: StackLayoutProperties {
                spaceQuota: 50
            }
	        imageSource: (thumbUri1!= null && thumbUri1!="")? thumbUri1: default_thumb_uri    //"/dev/sfs/IMG/personal_768X768/3.jpg"
	        scalingMethod: ScalingMethod.AspectFill
	        horizontalAlignment: HorizontalAlignment.Fill
	        verticalAlignment: VerticalAlignment.Fill
	        topMargin: 0
	        bottomMargin: 0
	        rightMargin: 0
	        leftMargin: 0
	    }
	    
		ImageView{
		    id: hdCoverThumbnail2
		    layoutProperties: StackLayoutProperties {
                spaceQuota: 50
            }
		    imageSource: (thumbUri2!= null && thumbUri2!="")? thumbUri2: default_thumb_uri 
		    scalingMethod: ScalingMethod.AspectFill
		    horizontalAlignment: HorizontalAlignment.Fill
		    verticalAlignment: VerticalAlignment.Fill
		    topMargin: 0
		    bottomMargin: 0
		    rightMargin: 0
		    leftMargin: 0
		}
    }
    
    Container{
                
        id: hdCoverThumbnailRow2
        visible: (LayoutConstants.HDCOVER_GRID_ALBUM_COUNT == 4)
        layout: StackLayout {
            orientation: LayoutOrientation.LeftToRight
        }
        
        layoutProperties: StackLayoutProperties {
            spaceQuota: 50
        }

        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        
        ImageView{
	        id: hdCoverThumbnail3
	        layoutProperties: StackLayoutProperties {
                spaceQuota: 50
            }
	        imageSource: (thumbUri3!= null && thumbUri3!="")? thumbUri3: default_thumb_uri
	        scalingMethod: ScalingMethod.AspectFill
	        horizontalAlignment: HorizontalAlignment.Fill
	        verticalAlignment: VerticalAlignment.Fill
	        topMargin: 0
	        bottomMargin: 0
	        rightMargin: 0
	        leftMargin: 0
	    }
	    
		ImageView{
		    id: hdCoverThumbnail4
		    layoutProperties: StackLayoutProperties {
                spaceQuota: 50
            }
		    imageSource: (thumbUri4!= null && thumbUri4!="")? thumbUri4: default_thumb_uri 
		    scalingMethod: ScalingMethod.AspectFill
		    horizontalAlignment: HorizontalAlignment.Fill
		    verticalAlignment: VerticalAlignment.Fill
		    topMargin: 0
		    bottomMargin: 0
		    rightMargin: 0
		    leftMargin: 0
		}
    }
}