import bb.cascades 1.0

Container {
    id: headerWithCover
    property alias topText: header.topText
    property alias middleText: header.middleText
    property string list_id: "0"
    property alias thumb_file: header.thumbUri
    property alias thumb1Uri: header.thumb1Uri
    property alias thumb2Uri: header.thumb2Uri
    property alias thumb3Uri: header.thumb3Uri
    property alias thumb4Uri: header.thumb4Uri
    property alias defaultImage: header.defaultImage
    property alias fourSquareVisible: header.fourSquareVisible
    property alias headerBackground: header.background
    property alias borderImage: borderImage

    signal shuffleList (string listId)

    layout: StackLayout {
        orientation: LayoutOrientation.TopToBottom
    }
    Container {
        layout: DockLayout { }
        verticalAlignment: VerticalAlignment.Fill
        horizontalAlignment: HorizontalAlignment.Fill
        
	    ImageThreeRowTextHeader {
	        id: header
		    verticalAlignment: VerticalAlignment.Fill
	        horizontalAlignment: HorizontalAlignment.Fill
	        onShuffleClicked: {
	            shuffleList( list_id );
	        }
	    }
	    ImageView {
	        id: borderImage
	        horizontalAlignment: HorizontalAlignment.Fill
	        verticalAlignment: VerticalAlignment.Fill
	        visible: false
	        imageSource: "asset:///images/common/core_item_border.amd"
	    }
	}
    
    // the track and length labels for the list
    Container {
        id: labels
        background: listTextLabel.background
        ListTextLabel {
            id: listTextLabel
            //:title for tracks column
            text1: qsTr("Song", "column title") + Retranslate.onLanguageChanged;
            //:title for length of song
            text2:  qsTr("Length", "column title") + Retranslate.onLanguageChanged;
            textColor1: Color.White
            textColor2: Color.White
            
            horizontalAlignment: HorizontalAlignment.Center
        }
    }
}
