import bb.cascades 1.0


/*
* A list item visual to display a create new playlist item in the Select Playlist screen
* @signal    selected    Signal that this item has been selected
*/
Container {
    id: selectCreateItem
    
    property bool active: false
    
    /**
     * Sends a signal that the item has been selected
     */
    signal selected()
    
    layout: DockLayout {
    }
    
    attachedObjects:[
        ComponentDefinition{
            id: borderImage
           	ImageView {
           	    id: overlay
                imageSource: "asset:///images/common/core_item_border.amd"
           	}
        }
    ]

    Container {
        layout: StackLayout {
            orientation: LayoutOrientation.LeftToRight
        }
        
        horizontalAlignment: HorizontalAlignment.Fill
        
        preferredHeight: 123 // hardcoded until a better method is found
        
        ImageView {
            id: thumbImage
            imageSource: "asset:///images/playlists/new_playlist.png"
            scalingMethod: ScalingMethod.AspectFit
            preferredHeight: 123
            preferredWidth: 123
        }

        Label {
            // Should be "Primary R"
            horizontalAlignment: HorizontalAlignment.Left
            verticalAlignment: VerticalAlignment.Center
            
            layoutProperties: StackLayoutProperties {                
                spaceQuota: 80
            }
            text: qsTr ("Create") + Retranslate.onLanguageChanged
 //USED BY STABILITY TESTING
            textStyle.color: ColorUtils.getPrimaryTextColor()
            textStyle.base: FontUtils.PrimaryR
            leftMargin: 0
        }
    }
    
    ControlDelegate{
        id: highlight
        sourceComponent: borderImage
        delegateActive: active
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
    }   
	
	onTouch: {
	    if (event.isUp()) {
	        selectCreateItem.selected();
	        active = false;
	    } else if (event.isDown()) {
	        active = true;
	    } else if (event.isCancel()) {
	        active = false;
	    }
	}
}
