import bb.cascades 1.0
import bb.cascades.multimedia 1.0
import bb.system 1.0
import "layoutconstants.js" as LayoutConstants

ListItemParent {
    id: simpleListItem

    property variant controller
    property string subTitle: ""

    layout: DockLayout {
    }

    minHeight: LayoutConstants.LIST_ITEM_VISUAL_HEIGHT

    onControllerChanged: {
        controller.trackChanged.connect(handleTrackChanged);
    }

    function handleTrackChanged() {
        ListItem.view.dataModel.itemUpdated(ListItem.indexPath);
    }

    Container {
        leftPadding: 10
        rightPadding: 20
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill

        layout: StackLayout {
            orientation: LayoutOrientation.LeftToRight
        }
        layoutProperties: StackLayoutProperties {
            spaceQuota: 100
        }

        Label {
            id: trackNumber
            text: track
            horizontalAlignment: HorizontalAlignment.Center
            verticalAlignment: VerticalAlignment.Center
            textStyle.textAlign: TextAlign.Center
            layoutProperties: StackLayoutProperties {
                spaceQuota: 12
            }
            textStyle.base: simpleListItem.ListItem.view.trackNumberNormalStyle
            textStyle.color: itemSelected ? ColorUtils.getPrimaryTextColor() : ColorUtils.get(0xff444444)
            rightMargin: 10
        }

        Container {
            layoutProperties: StackLayoutProperties {
                spaceQuota: 88
            }
            verticalAlignment: VerticalAlignment.Center
            Container {
                layout: StackLayout {
                    orientation: LayoutOrientation.TopToBottom
                }
                Label {
                    id: labelTitle
                    text: title
                    textStyle.base: itemSelected ? simpleListItem.ListItem.view.titleHighlightStyle : simpleListItem.ListItem.view.titleNormalStyle
                    horizontalAlignment: HorizontalAlignment.Left
                    verticalAlignment: VerticalAlignment.Center
                    textFormat: TextFormat.Plain
                    bottomMargin: 0
                }
                Label {
                    id: labelSubTitle
                    textStyle.base: itemSelected ? simpleListItem.ListItem.view.subtitleHighlightStyle : simpleListItem.ListItem.view.subtitleNormalStyle
                    text: subTitle
                    visible: ! (subTitle == "" || subTitle == null)
                    horizontalAlignment: HorizontalAlignment.Left
                    verticalAlignment: VerticalAlignment.Center
                    textFormat: TextFormat.Plain
                    topMargin: 0
                }
            }
        }
        Label {
            id: labelDuration
            verticalAlignment: VerticalAlignment.Center
            horizontalAlignment: HorizontalAlignment.Right
            text: simpleListItem.durationText
            textStyle.base: simpleListItem.ListItem.view.durationNormalStyle
            leftMargin: 30
        }
    }
}
