import bb.cascades 1.0
import bb.cascades.multimedia.internal 1.0
import "layoutconstants.js" as LayoutConstants

FourThumbsListItem {
    id: smartPlaylistListItem 
    property alias playlist_name: smartPlaylistListItem.labelText
    property string headerURI
    property string contentURI
    property int count
    property bool active: ListItem.active
    
    pressImageSource: "asset:///images/common/core_listitem_pressed.png.amd"
    selectImageSource: "asset:///images/common/core_griditem_pressed.png.amd"
    	
    defaultPadding: 0
    leftPadding: LayoutConstants.LIBRARY_LIST_VIEW_SPACING
    rightPadding: ListItem.indexInSection % ListItem.view.layout.columnCount == (ListItem.view.layout.columnCount - 1) ? LayoutConstants.LIBRARY_LIST_VIEW_SPACING : 0
    bottomLabelVisible: true
    bottomLabelText: qsTr("%n Song(s)", "", count) + Retranslate.onLanguageChanged;
    preferredHeight: 256
    preferredWidth: 256
    
    
	function onLocaleHandlerChanged() {
	    // ListItemData["playlist_name"] does not work for dynamic translation
		// Instead we still need to retrieve list item data from dataModel then do the re-assign.
		var pageData = ListItem.view.dataModel.data(ListItem.indexPath);
		playlist_name = pageData["playlist_name"];
	}
	
    onCreationCompleted:{
        ListItem.activationChanged.connect(smartPlaylistListItem.onActivationChanged);
		localeHandler.languageChanged.connect(onLocaleHandlerChanged);
    }
}
