import bb.cascades 1.0
import bb.cascades.multimedia 1.0
import bb.cascades.multimedia.internal 1.0

/**
 * A reusuable label for list items that need track info to be shown in two 
 * different lines (as title and subTitle)
 *
 * @param	title	 		The top row of the label component
 * @param	subTitle		The bottom row of the label component
 * @param	titleStyle 		TextStyle for the top row of the label component
 * @param	subtitleStyle	TextStyle for the bottom row of the label component
 
 */

Container {
    id: trackInfo
    property alias title: labelTitle.text
    property alias subTitle: labelSubTitle.text
    property variant titleStyle
    property variant subtitleStyle
    property alias labelTitle: labelTitle
    property alias labelSubTitle: labelSubTitle
    
    leftPadding: 10
    layout: StackLayout {
        orientation: LayoutOrientation.TopToBottom
    }

    Label {
        id: labelTitle
        textStyle.base: titleStyle
        horizontalAlignment: HorizontalAlignment.Left
        verticalAlignment: VerticalAlignment.Center
        bottomMargin: 0
        textFormat: TextFormat.Plain
    }
    

    Label {
        id: labelSubTitle
        textStyle.base: subtitleStyle
        visible: (subTitle == null || subTitle == "") ? false : true
        horizontalAlignment: HorizontalAlignment.Left
        verticalAlignment: VerticalAlignment.Center            
        topMargin: 0
        textFormat: TextFormat.Plain
    }
}
