import bb.cascades 1.0
import bb.cascades.multimedia 1.0
import bb.cascades.multimedia.internal 1.0
import "AudioUtils.js" as AudioUtils

Sheet {
    id : audioRoutingSheet
    
    signal audioRoutingDeviceSelected(variant deviceType);

    Page {
        titleBar: TitleBar {
            title: qsTr("Audio") + Retranslate.onLanguageChanged
            kind: TitleBarKind.Default
            dismissAction: ActionItem {
                title: qsTr("Cancel") + Retranslate.onLanguageChanged
                onTriggered: {
                    audioRoutingSheet.close();
                }
            }
        }
        
        ListView {
            dataModel: audioRoutingDataModel
            listItemComponents: [
                ListItemComponent {
                    type: ""
                    StandardListItem {
                        imageSource: AudioUtils.getAudioDeviceIcon(ListItemData.deviceType)
                        title: AudioUtils.getAudioDeviceName(ListItemData.deviceType)
                    }
                }
            ]

            onTriggered: {
                if (! dataModel.hasChildren(indexPath)) {
                    var device = dataModel.data(indexPath);
                    audioRoutingDeviceSelected(device.deviceType);
                    audioRoutingSheet.close();
                }
            }
        }
    }
    
}// Sheet