import bb.cascades 1.0

/**
 * A background for most screens in the app
 * 
 * @param   useAltPaint            Flag deciding whether to use the alternate image (altImage) or not
 * @param   paint                  The default image to use.
 * @param   altPaint               Alternate image for background 
 *                                 (One use is changing background to black when in MultiSelectMode)
 */

Container {
    id: screenBackground
    property bool useAltPaint: false
    property variant paint: Color.Black
    property variant altPaint: Color.Black
    horizontalAlignment: HorizontalAlignment.Fill
    verticalAlignment: VerticalAlignment.Fill
    background: useAltPaint ? altPaint : paint
}
