import bb.cascades 1.0

/**
 * This control provides a label with a semi-transparent
 * underlay.
 *
 * @param	text	The text to use for the label
 * @param   textTopPadding	The top padding for the text
 * @param   textBottomPadding	The bottom padding for the text
 * @param	background		The underlay background color.  Default is Color.Black
 */
Container {

    property alias text: title.text
    property alias textHorizontalAlignment: title.horizontalAlignment
    
    property alias textStyle: title.textStyle
    property variant titleStyle
    
    property int textTopPadding: 10
    property int textBottomPadding: 10
    
    topPadding: textTopPadding
	bottomPadding: textBottomPadding
	    
    layout: DockLayout{}
    
    background: Color.Black 
    opacity: 0.9

	// title text
	Label {
        id: title

        horizontalAlignment: HorizontalAlignment.Center
        verticalAlignment: VerticalAlignment.Center
	    textStyle.base: titleStyle == null ? SystemDefaults.TextStyles.SubtitleText : titleStyle
    }  
}