import bb.cascades 1.2
import bb.cascades.multimedia 1.0
import bb.cascades.multimedia.internal 1.0
import bb.system 1.0

Container {

    id: gridListItemContainer
    property string thumbUri: ListItemData.thumb_file ? ListItemData.thumb_file : ""
    property bool isVideo: ListItemData.file_type == '2' ? true : false
    property bool isFirstLoad: true

    background: Color.Transparent

    layout: DockLayout {
    }

    onThumbUriChanged: {
        // This is a workaround to disable implicit animation of gridlistitems
        // when scrolling in the list. We are taking advantage of the fact that
        // the listview will reuse the same items. So the first time the item is
        // shown it will fade in nicely but when reused there will be no effect.
        if (isFirstLoad) {
            isFirstLoad = false;
        } else if (thumbImage.loadEffect != ImageViewLoadEffect.None) {
            thumbImage.loadEffect = ImageViewLoadEffect.None;
        }
        thumbImage.imageSource = thumbUri;
    }

    // item image
    ImageView {
        id: thumbImage

        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        implicitLayoutAnimationsEnabled: false

        // Since the thumbnails are squared, we need them to fit inside but
        // still maintain their original aspect ratio.
        scalingMethod: ScalingMethod.AspectFill
        visible: !(thumbUri == "")
    }

    ImageView {
        visible: isVideo
        imageSource: "asset:///imports/bb/cascades/multimedia/internal/images/ic_play_singleimage.png"
        horizontalAlignment: HorizontalAlignment.Center
        verticalAlignment: VerticalAlignment.Center
    }
}
