import bb.cascades 1.2
import bb.cascades.multimedia 1.0
import bb.cascades.multimedia.internal 1.0

Container {
    property bool showDropDown: false
    property alias selectedStorage: dropDownLocationSelector.selectedValue

    Container {
        topPadding: showDropDown ? 10 : 0
        bottomPadding: showDropDown ? 10 : 0
        leftPadding: 10
        rightPadding: 10
        layout: DockLayout {}
        horizontalAlignment: HorizontalAlignment.Fill
        DropDown {
            id: dropDownLocationSelector
            visible: showDropDown
            verticalAlignment: VerticalAlignment.Fill
            horizontalAlignment: HorizontalAlignment.Fill

            //: Text describing the available location options for moving pictures and videos to
            title: qsTr("Location:") + Retranslate.onLanguageChanged
 
            Option {
                //: Move pictures and videos to an SD card
                text: qsTr("Media Card") + Retranslate.onLanguageChanged
                value: MediaLibrarySourceType.SDCard
                selected: true
            }
            Option {
                //: Move pictures and videos to device
                text: qsTr("Device Storage") + Retranslate.onLanguageChanged
                value: MediaLibrarySourceType.Internal
            }
        }
    }
}

