import bb.cascades 1.0

Container {
    property string waitStr: ""
    property real barMaxValue: 0
    property real barCurrentValue: 0
    signal cancelButtonPressed();
    layout: DockLayout {}
    horizontalAlignment: HorizontalAlignment.Fill
    verticalAlignment: VerticalAlignment.Fill
    Container {
        id: curtain
        background: MediaApplication.spinBackgroundColor
        opacity: 0.7
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
    }
    Container {
        id: text_and_progress_indicator
        layout: StackLayout { orientation: LayoutOrientation.TopToBottom }
        horizontalAlignment: HorizontalAlignment.Center
        verticalAlignment: VerticalAlignment.Center

        Label {
            id: wait_label
            multiline: true
            text: waitStr
            horizontalAlignment: HorizontalAlignment.Center
            textStyle {
                base: SystemDefaults.TextStyles.TitleText
                color: MediaApplication.textColor
            }
        }
        ProgressIndicator {
            fromValue: 0
            toValue: barMaxValue
            value: barCurrentValue
        }
        Button {
            id: cancel_button
            //: Caption of the cancel button (cancels the move operation)
            text: qsTr("Cancel")
            horizontalAlignment: HorizontalAlignment.Center
            
            onClicked: cancelButtonPressed()
        }
    }
    animations: [
        ParallelAnimation {
            id: closing_anim
            objectName: "closing_anim"
            FadeTransition {
                id: bg_fade_out_anim
                target: curtain
                fromOpacity: 0.8
                toOpacity: 0.0
                duration: 450
            }
            FadeTransition {
                id: progress_fade_out_anim
                target: text_and_progress_indicator
                fromOpacity: 1.0
                toOpacity: 0.0
                duration: 450
            }
            ScaleTransition {
                id: scale_progress_x_anim
                target: text_and_progress_indicator
                toX: 2.5
                duration: 450
            }
            ScaleTransition {
	            id: scale_progress_y_anim
	            target: text_and_progress_indicator
	            toY: 2.5
	            duration: 450
	        }
        }
    ]
	
}    
