/*
 * OverlayTextIcon.qml
 *
 * Copyright Research In Motion Limited, 2012-2013.
 * Research In Motion Limited. All rights reserved.
 */

import bb.cascades 1.0

Container {
    property alias icon: iconImage.imageSource
    property alias text: textLabel.text

    layout: StackLayout {
        orientation: LayoutOrientation.LeftToRight
    }

    ImageView {
        id: iconImage
        objectName: "iconImage"
        horizontalAlignment: HorizontalAlignment.Left
        verticalAlignment: VerticalAlignment.Center
    }

    Label {
        id: textLabel
        topMargin: 0
        bottomMargin: 0
        leftMargin: 0
        objectName: "textLabel"
        verticalAlignment: VerticalAlignment.Center
        horizontalAlignment: HorizontalAlignment.Left
        textStyle {
            color: SystemDefaults.defaultText
            fontSize: FontSize.XSmall
            textAlign: TextAlign.Center
        } 
    }
}