import bb.cascades 1.0

Container {
    property string waitStr: ""
    layout: DockLayout {}
    horizontalAlignment: HorizontalAlignment.Fill
    verticalAlignment: VerticalAlignment.Fill
    Container {
        id: curtain
        background: MediaApplication.spinBackgroundColor
        opacity: 0.7
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
    }
    
    Container {
        id: text_and_spinner
        
        layout: StackLayout { orientation: LayoutOrientation.TopToBottom }
        horizontalAlignment: HorizontalAlignment.Center
        verticalAlignment: VerticalAlignment.Center
        bottomPadding: 10
        
        ActivityIndicator {
            running: true
            preferredWidth: 100
            horizontalAlignment: HorizontalAlignment.Center
            verticalAlignment: VerticalAlignment.Center
        }
        
        Label {
            id: wait_label
			multiline: true
            textStyle {
                base: SystemDefaults.TextStyles.TitleText
                color: MediaApplication.textColor
            }
        }
    }
    
    animations: [
        ParallelAnimation {
            id: closing_anim
            objectName: "closing_anim"
            FadeTransition {
                id: bg_fade_out_anim
                target: curtain
                fromOpacity: 0.8
                toOpacity: 0.0
                duration: 450
            }
            FadeTransition {
                id: spinner_fade_out_anim
                target: text_and_spinner
                fromOpacity: 1.0
                toOpacity: 0.0
                duration: 450
            }
            ScaleTransition {
                id: scale_spinner_x_anim
                target: text_and_spinner
                toX: 2.5
                duration: 450
            }
            ScaleTransition {
	            id: scale_spinner_y_anim
	            target: text_and_spinner
	            toY: 2.5
	            duration: 450
	        }
        }
    ]
	
	onWaitStrChanged: {
	    wait_label.text = waitStr;
	}
}    
