
/*
 * ThumbItem.qml
 *
 * Copyright Research In Motion Limited, 2012-2013.
 * Research In Motion Limited. All rights reserved.
 */

import bb.cascades 1.0

Container {
    property string thumbUri: ""
    property bool isFirstLoad: true
    layout: DockLayout {}

    horizontalAlignment: HorizontalAlignment.Fill
    verticalAlignment: VerticalAlignment.Fill
    implicitLayoutAnimationsEnabled: false

    onThumbUriChanged: {
        // This is a workaround to disable implicit animation of gridlistitems
        // when scrolling in the list. We are taking advantage of the fact that
        // the listview will reuse the same items. So the first time the item is
        // shown it will fade in nicely but when reused there will be no effect.
        if (isFirstLoad) {
            isFirstLoad = false;
        } else if (thumbImage.loadEffect != ImageViewLoadEffect.None) {
            thumbImage.loadEffect = ImageViewLoadEffect.None;
        }
        thumbImage.imageSource = thumbUri;
    }

    ImageView {
        id: thumbImage

        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        implicitLayoutAnimationsEnabled: false

        // Since the thumbnails are squared, we need them to fit inside but
        // still maintain their original aspect ratio.
        scalingMethod: ScalingMethod.AspectFill
    }
}
