import bb.cascades 1.2
import bb.cascades.multimedia 1.0
import bb.cascades.multimedia.internal 1.0
import bb.system 1.0

Container {
    id: listItem

    property string thumb_uri: ""
    property alias bottomLabelText: bottomLabel.text
    property alias title: label.text
    property int duration
    
    layout: DockLayout{}

    background: Color.Black

    attachedObjects:[
        TextStyleDefinition {
            id: titleLabelStyle
            base: FontUtils.P2M
            color: ColorUtils.getPrimaryTextColor()
         },
         TextStyleDefinition {
             id: bottomLabelStyle
             base: FontUtils.P1R
             color: ColorUtils.getPrimaryTextColor()
         }
    ]

    onDurationChanged: {
       bottomLabelText = localeUtils.getColonSeparatedDuration(duration);
    }

    Container {
        background: Color.Black
        layout: DockLayout{}
        verticalAlignment: VerticalAlignment.Fill
        horizontalAlignment: HorizontalAlignment.Fill
        implicitLayoutAnimationsEnabled: false
        
        // item image
        ImageView {
            id: thumbImage
            imageSource: thumb_uri
            scalingMethod: ScalingMethod.AspectFit
            verticalAlignment: VerticalAlignment.Fill
            horizontalAlignment: HorizontalAlignment.Fill
            implicitLayoutAnimationsEnabled: false
            visible: !(thumb_uri == "" || thumb_uri == null)
        }    
        //Container that contains the two rows of text for the transparent label
        Container {
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Bottom
            layout: StackLayout {
                orientation: LayoutOrientation.TopToBottom 
            }
            
            // A horizontal rule
            Container {
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Top
        
                background: Color.White
                opacity: 0.20
        
                minHeight: 1
                maxHeight: 1
            }
            
            Container {
                minHeight: 80
                horizontalAlignment: HorizontalAlignment.Fill
                
                layout: DockLayout {}
                
                Container {
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Fill
                    background: Color.Black
                    opacity: 0.60
                }
                
                Container {
                    verticalAlignment: VerticalAlignment.Center
                    Container {
                        leftPadding: 14
                        layout: DockLayout {}
                        background: Color.Transparent
                        horizontalAlignment: HorizontalAlignment.Fill
                        Label {
                            id: label
                            text: qsTr("Unknown") + Retranslate.onLanguageChanged
                            horizontalAlignment: HorizontalAlignment.Left
                            verticalAlignment: VerticalAlignment.Center
                            textStyle.base: titleLabelStyle.style
                            textFormat: TextFormat.Plain
                        }
                    }
                    Container {
                        leftPadding: 14
                        layout: DockLayout {}
                        background: Color.Transparent
                        horizontalAlignment: HorizontalAlignment.Fill
                        Label {
                            id: bottomLabel
                            text: qsTr("00:00:00") + Retranslate.onLocaleChanged
                            horizontalAlignment: HorizontalAlignment.Left
                            verticalAlignment: VerticalAlignment.Center
                            textStyle.base: bottomLabelStyle.style
                        }

                    }
                }
            }
        }
    }
}
