import bb.cascades 1.0
import bb.cascades.multimedia 1.0
import bb.cascades.multimedia.internal 1.0
import bb.multimedia 1.0
import "../core/layoutconstants.js" as LayoutConstants

Container {
    id: nowPlayingAlbumListHeader    
    topPadding: LayoutConstants.ALBUM_LIST_HEADER_TOP_PADDING
    layout: StackLayout  {
             orientation: LayoutOrientation.TopToBottom
         }
         	
	property alias albumName: playerCurrentAlbumLabel.text
    
    function updateShuffleState(enabled){
	    if (enabled) {
	        shuffle.currentState = PlaybackController.ShuffleOn;
	    } else {
	        shuffle.currentState = PlaybackController.ShuffleOff;
	    }
	    shuffle.enabled = true;
    }
    
    function updateRepeatState(repeatState){
        repeat.currentState = repeatState;    
    }
        
    
    signal shufflePressed();
    signal repeatPressed();
    
    
	//Top level label and repeat shuffle
	Container {
		minHeight:LayoutConstants.ALBUM_LIST_HEADER_HEIGHT // preferredHeight has been increased so there is no white bar between NowPlayingAlbumListHeader and the albumArt when albumCover is closed
	    leftPadding: 0 // padding added to align the album name with labels in titleBar
	    layout: StackLayout  {
	            orientation: LayoutOrientation.LeftToRight
	         }
	    
	    horizontalAlignment: HorizontalAlignment.Fill
        
	    // the album name
	    Label {
	        id: playerCurrentAlbumLabel
	        objectName: "playerCurrentAlbumLabel"
	        textStyle.fontSize: LayoutConstants.ALBUM_LIST_HEADER_FONT_SIZE
	        textStyle.fontSizeValue: LayoutConstants.ALBUM_LIST_HEADER_FONT_SIZE_VALUE
		    textStyle.fontWeight: FontWeight.Normal
	        textStyle.color: ColorUtils.get(0xff262626)
		    verticalAlignment: VerticalAlignment.Center
            textFormat: TextFormat.Plain
            layoutProperties: StackLayoutProperties {
                            spaceQuota: 1
                        }
	            
	    }

		//repeat and shuffle 
		Container {
		    rightPadding: 10
			verticalAlignment: VerticalAlignment.Center
		    layout: StackLayout {
	                 orientation: LayoutOrientation.LeftToRight
	             }

           // repeat button//PlaybackController.RepeatOff
           MultiStateImageView {
               id: repeat
               rightMargin: 15
               upImages: ["asset:///images/playing/ic_repeat_dk.png", "asset:///images/playing/ic_repeat_one_active.png", "asset:///images/playing/ic_repeat_all_active.png"] //USED BY STABILITY TESTING
               verticalAlignment: VerticalAlignment.Center
               
               currentState: RepeatMode.None
               
               onTouch: {
                   if (event.isUp () && enabled) {
                       nowPlayingAlbumListHeader.repeatPressed ();
                   }
               }
       
           }
	       
          // shuffle button 
          MultiStateImageView {
              id: shuffle
              upImages: ["asset:///images/playing/ic_shuffle_dk.png", "asset:///images/playing/ic_shuffle_active.png"] //USED BY STABILITY TESTING
              verticalAlignment: VerticalAlignment.Center

              onTouch: {
                  if (event.isUp () && shuffle.enabled) {
                      shuffle.enabled = false;
                      nowPlayingAlbumListHeader.shufflePressed();
                  }
              }
          }            
	                       
       }	    

	}
}
