import bb.cascades 1.0
import "../core/layoutconstants.js" as LayoutConstants

Container{
    id: nowPlayingHeader
    property alias artistTitle : nowPlayingCurrentArtistTitle.text
    property variant songTitle
    
    layout: DockLayout{}
    //Smallest height such that the default font (size 8) doesn't cause container to be resized when switching between NowPlayingHeader and VolumeControl
    preferredHeight: LayoutConstants.SCREEN_TITLE_HEIGHT

    function handleRemoteActivityChanged(remoteActivity){     	
    	if (remoteActivity){    	
    		//Hide the Play/Pause icon and show the activity indicator
			if (!minimizedIndicator.running){
	    		minimizedIndicator.start();
    		}
		} else {			
			//Show the Play/Pause icon and hide the activity indicator			
			if (minimizedIndicator.running){
				minimizedIndicator.stop();
			}		
		}
    }

	//labels and info button
	Container {
	    id: label
	    
		horizontalAlignment: HorizontalAlignment.Fill
	    leftPadding: 30
	    rightPadding: 5
	    preferredHeight: LayoutConstants.SCREEN_TITLE_HEIGHT
		
		layout: StackLayout  {
		    orientation: LayoutOrientation.LeftToRight
	    }			
		
		//labels
		Container {
			layout: StackLayout {
	            orientation: LayoutOrientation.TopToBottom
	        }
	        
	        layoutProperties: StackLayoutProperties {
		    	spaceQuota: 1
		    }
	        
	        implicitLayoutAnimationsEnabled: false

			// the song title
			PanningLabel {
			    /*
			     * The top title should be "P5R Lorem"
			     * Which means FontSize.Large, FontWeight.W400
			     */
                id: nowPlayingCurrentSongTitle
                
                labelText: nowPlayingHeader.songTitle
                fontSize: LayoutConstants.NOW_PLAYING_TRACK_FONT_SIZE
                fontSizeValue: LayoutConstants.NOW_PLAYING_TRACK_FONT_SIZE_VALUE
                color: Color.White
                fontWeight: FontWeight.W400
                labelBottomMargin: 0
                horizontalAlignment: HorizontalAlignment.Fill
			}
	        
			// the artist
			Label {
			    id: nowPlayingCurrentArtistTitle
			    textStyle.fontSize: LayoutConstants.NOW_PLAYING_ARTIST_FONT_SIZE
			    textStyle.fontSizeValue: LayoutConstants.NOW_PLAYING_ARTIST_FONT_SIZE_VALUE
			    textStyle.fontWeight: FontWeight.Normal
			    textStyle.color: ColorUtils.getSecondaryTextColor()
			    topMargin: 0
                textFormat: TextFormat.Plain
                horizontalAlignment: HorizontalAlignment.Fill
            }
        }

	    Container {  
	    	layout: DockLayout{}
	    	verticalAlignment: VerticalAlignment.Center
		    //Spinner that will display when we are waiting for the renderer to repond to 
			//play/pause commands
		 	ActivityIndicator {
		    	 id: minimizedIndicator
		    	 
		    	 preferredWidth: 100
		    	 preferredHeight: 100	           
		         
		         horizontalAlignment: HorizontalAlignment.Right
		         verticalAlignment: VerticalAlignment.Center
			}                                            
	    }
	}
}
