import bb.cascades 1.0
import bb.cascades.multimedia 1.0
import bb.cascades.multimedia.internal 1.0
import "../core/layoutconstants.js" as LayoutConstants

TimeSlider {
    attachedObjects:[
        TextStyleDefinition{
            id: timeText
            fontSize: LayoutConstants.TIME_SLIDER_FONT_SIZE
            fontSizeValue: LayoutConstants.TIME_SLIDER_FONT_SIZE_VALUE
            fontWeight: FontWeight.W100
        }
    ]
    id: nowPlayingTimeSlider

    controlsTopPadding: LayoutConstants.TIME_SLIDER_PADDING
    controlsBottomPadding: LayoutConstants.TIME_SLIDER_PADDING
    controlsSpacingMargin: 0
    controlsInterSpacing: 9
    
    background: LayoutConstants.TIME_SLIDER_COLOR
                
    minHeight: LayoutConstants.TIME_SLIDER_HEIGHT
    maxHeight: LayoutConstants.TIME_SLIDER_HEIGHT

    elapsedTimeTextColor: ColorUtils.getPrimaryTextColor()
    durationTextColor: ColorUtils.getSecondaryTextColor()
    elapsedTimeFont: timeText.style
    durationFont: timeText.style
    timeSliderControllerRef: timeSliderController
    
    onSeekingStarted: {
        commonAnalytics.instance.logPositionSliderPressed(timeSliderControllerRef.position);
    }
    
    onSeekingStopped: {
        commonAnalytics.instance.logPositionSliderReleased(timeSliderControllerRef.position);
    }
}
