import bb.cascades 1.0
import bb.cascades.multimedia 1.0
import bb.cascades.multimedia.internal 1.0
import "../"
import "../core"
import "../core/layoutconstants.js" as LayoutConstants
    
VolumeControl {
    id: volumeControl
    //Do not initialize the volumePlaybackController to the variant for the current playback controller (or anything else)
    //or else when the playbackController is switched, the volumePlaybackController will also automatically switched
    //We need to ensure we do this in the function call connectVolumePlaybackController so that the appropriate signal/slots
    //can be connected/disconnected
    //volumePlaybackController: appContext.playbackController

    volumeTopMargin: LayoutConstants.VOLUME_CONTROL_PADDING
    volumeBottomMargin: LayoutConstants.VOLUME_CONTROL_PADDING
    preferredHeight: LayoutConstants.VOLUME_CONTROL_HEIGHT
    horizontalAlignment: HorizontalAlignment.Fill
   
    leftImageSpeaker: "asset:///images/playing/volume_icon_off.png"
    leftImageMute: "asset:///images/playing/volume_icon_mute.png"
    rightImageSpeaker: "asset:///images/playing/volume_icon_on.png"
    rightImageBoost: "asset:///images/playing/volume_icon_boost.png"
    increaseImage: "asset:///images/common/volume_up.png"
    decreaseImage: "asset:///images/common/volume_down.png"

    volumeBackground: Color.Transparent
}
