import bb.cascades 1.0
import "../../core"

Container{
    id: hdCoverRadio
    
    property alias stationFrequencyText: stationFrequency.text
	
	layout: StackLayout {
        orientation: LayoutOrientation.TopToBottom
    }
    
    // Fill the entire active frame space given
    horizontalAlignment: HorizontalAlignment.Fill
    verticalAlignment: VerticalAlignment.Fill	
    
    HDCoverHeader {
        // use up whatever height is left
        layoutProperties: StackLayoutProperties {
            spaceQuota: 1
        }
        
        // fill the entire width
        horizontalAlignment: HorizontalAlignment.Fill
        
        text: qsTr("FM Radio")  + Retranslate.onLanguageChanged
    }
	
    Container {
        layout: DockLayout {
        }
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        ImageView {
            //The image is sized correctly to take up the full width and height of the active frame
            imageSource: "asset:///images/radio/fmradio_activeframe.png"
        }
        
        Container {
            layout: DockLayout {
            }
            
            horizontalAlignment: HorizontalAlignment.Center
            verticalAlignment: VerticalAlignment.Center

            Label {
                id: stationFrequency
                textStyle.base: FontUtils.P6M
                text: ""
            }
        }

    }
}