import bb.cascades 1.2
import bb.cascades.multimedia.internal 1.0
import "../../core/layoutconstants.js" as LayoutConstants

CustomListItem {
    id: radioListItem
    highlightAppearance: HighlightAppearance.Frame
    
    property bool showStar: true
    property bool favourite
    
    Container {
	    id: listItem
	    preferredHeight: 234
	    preferredWidth: 234
        leftPadding: LayoutConstants.LIBRARY_LIST_VIEW_SPACING
        rightPadding: radioListItem.ListItem.indexPath == (radioListItem.ListItem.view.layout.columnCount - 1) ? LayoutConstants.LIBRARY_LIST_VIEW_SPACING : 0
	    
	    horizontalAlignment: HorizontalAlignment.Fill
	    
	    layout: DockLayout{}
	    
	    contextActions: [
	        ActionSet {
	            ActionItem {
	                id: messageAction
                    title: favourite ? (qsTr("Remove from Favorites") + Retranslate.onLanguageChanged) : (qsTr("Add to Favorites") + Retranslate.onLanguageChanged)
                    imageSource: favourite ? "asset:///images/radio/fmradio_ic_enabledpressed_favorite.png" : "asset:///images/radio/fmradio_ic_enabled_favorite.png" 
                    onTriggered: {
                        if (favourite) {
                            RadioPlaybackContext.removeFavourite(ListItemData["frequency"]);
                        } else {
                            RadioPlaybackContext.addFavourite(ListItemData["frequency"]);
                        }
                    }
	            }
	        }
	    ]
	    
	    ImageView {
            imageSource: "asset:///images/radio/fmradio_default_album_empty.png"
	        horizontalAlignment: HorizontalAlignment.Fill
	        verticalAlignment: VerticalAlignment.Fill
	    }
	    
	    Container {
            layout: DockLayout{}
            topPadding: 5
            rightPadding: 5
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            
            ImageView {
                visible: showStar && favourite
                imageSource: "asset:///images/radio/ic_favorite.png" 
                horizontalAlignment: HorizontalAlignment.Right
                verticalAlignment: VerticalAlignment.Top
            }
       }
        
        
	    Container {
	        layout: DockLayout{}
	        
	        horizontalAlignment: HorizontalAlignment.Center
	        verticalAlignment: VerticalAlignment.Center
	        
	        Label {
                text:ListItemData["title"]
                textStyle.base: LayoutConstants.RADIO_LIST_ITEM_TEXT_STYLE_BASE
	        }
	    }
	    
	    ImageView {
	        imageSource: "asset:///images/radio/fmradio_album_shadow.png"
	        horizontalAlignment: HorizontalAlignment.Fill
	        verticalAlignment: VerticalAlignment.Bottom
	    }
	}
}
