import bb.cascades 1.0
import "../../core/layoutconstants.js" as LayoutConstants

Container {
	id: tuneToBox
    layout: DockLayout {}
    
    property bool hasFocus: textField.focused
        
    horizontalAlignment: HorizontalAlignment.Fill
    verticalAlignment: VerticalAlignment.Center
   
    function requestFocus(){
        textField.requestFocus();
    }

    Container {
        layout: DockLayout {}
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Bottom
        preferredHeight: LayoutConstants.RADIO_TUNE_TO_BUTTON_HEIGHT
        rightPadding: 20
        leftPadding: 20  
              
        TextField {
            id: textField
            hintText: qsTr("Type to tune") + Retranslate.onLanguageChanged
            horizontalAlignment: HorizontalAlignment.Center
            verticalAlignment: VerticalAlignment.Center
            inputMode: TextFieldInputMode.NumbersAndPunctuation
            focusRetentionPolicyFlags: FocusRetentionPolicy.LoseToNonFocusable
            
            input {
                onSubmitted: {
                    RadioPlaybackContext.tuneToStation(text)
                    textField.text = ""
                    loseFocus();
                }
                submitKey: SubmitKey.Done     
                flags: TextInputFlag.SpellCheckOff | TextInputFlag.PredictionOff | TextInputFlag.AutoCorrectionOff | TextInputFlag.AutoCapitalizationOff | TextInputFlag.AutoPeriodOff | TextInputFlag.WordSubstitutionOff
            }
        }
    }
}

