import bb.cascades 1.0
import bb.cascades.multimedia 1.0
import bb.cascades.multimedia.internal 1.0
import bb.data 1.0
import "../../core"

Page {
    id: radioPage
    
    property alias radioContentQMLPath:switchableContainer.contentQMLPath

    titleBar: TitleBar {
        kind: TitleBarKind.FreeForm
        scrollBehavior: TitleBarScrollBehavior.Sticky
        kindProperties: FreeFormTitleBarKindProperties {
            Container {
                layout: DockLayout{}
		         ScreenTitle {
			        largeText: false
			        showNowPlaying: true
			        title: qsTr("Radio") + Retranslate.onLanguageChanged
			        horizontalAlignment: HorizontalAlignment.Fill 
		         }
	        }
        }
    }
    
    actions: [
        NowPlayingActionItem {
            page: "RadioPage"
        }
    ]
    
    content: SwitchableContainer {
        id: switchableContainer
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill

        layout: DockLayout {}
        
        contentQMLPath: "EmptyContainer.qml"
        
        onCurrentQMLObjectChanged: {
            // If there is a page property, set this as the page
            if (currentQMLObject.hasOwnProperty("page")){
                currentQMLObject.page = radioPage;
            }
        }
    }
}
