import bb.cascades 1.0
import "../../core/layoutconstants.js" as LayoutConstants

Container{
    property alias stationLabel: label.text
    layout: DockLayout {}
    
    overlapTouchPolicy: OverlapTouchPolicy.Allow
	
	Label {
	    id: label
	    overlapTouchPolicy: OverlapTouchPolicy.Allow
        visible: RadioPlaybackContext.radioPlaybackActive
	    textStyle {
	        fontWeight: FontWeight.W600
	        fontSize: FontSize.PointValue
            fontSizeValue: LayoutConstants.RADIO_OVERLAY_FONT_SIZE_VALUE
	    }
	    
	    horizontalAlignment: HorizontalAlignment.Center
	    verticalAlignment: VerticalAlignment.Center
	}
	
    Label {
        text: "Tune to a station"
        overlapTouchPolicy: OverlapTouchPolicy.Allow
        visible: !RadioPlaybackContext.radioPlaybackActive
        textStyle{
            fontWeight: FontWeight.W500
            fontStyle: FontStyle.Normal
            fontFamily: "Slate"
            fontSize:LayoutConstants.RADIO_OVERLAY_TUNE_FONT_SIZE 
            color: MediaApplication.textColor
        }
        
        horizontalAlignment: HorizontalAlignment.Center
        verticalAlignment: VerticalAlignment.Center
    }

    ImageView {
        imageSource: "asset:///images/radio/fmradio_nowplaying_bottomshadow.png"
        overlapTouchPolicy: OverlapTouchPolicy.Allow

        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Bottom
    }
}