import bb.cascades 1.0
import bb.cascades.multimedia.internal 1.0
import "../../core/layoutconstants.js" as LayoutConstants

Container {
	property string station: "91.5"	
	property bool favourite: false
	
    minHeight: LayoutConstants.ALBUM_LIST_HEADER_HEIGHT + LayoutConstants.ALBUM_LIST_HEADER_TOP_PADDING*2
	
	horizontalAlignment: HorizontalAlignment.Fill
	verticalAlignment: VerticalAlignment.Center
  
  	leftPadding: LayoutConstants.RADIO_ALBUM_LIST_PADDING
  	rightPadding: LayoutConstants.RADIO_ALBUM_LIST_PADDING

    background: ColorUtils.get(0xffc4c4c4)
    
    layout: StackLayout {
        orientation: LayoutOrientation.LeftToRight
    }
    
    Container {
	    layout: StackLayout {
	    	orientation: LayoutOrientation.TopToBottom
	    }
	    
	    horizontalAlignment: HorizontalAlignment.Fill
		verticalAlignment: VerticalAlignment.Center
  
	    Label {
            text: RadioPlaybackContext.radioPlaybackActive ? station : qsTr("No station")
	        textStyle.color: ColorUtils.get(0xff262626)
            textStyle.base: RadioPlaybackContext.radioPlaybackActive ? FontUtils.PrimaryM : FontUtils.P3R
	        horizontalAlignment: HorizontalAlignment.Left
	        verticalAlignment: VerticalAlignment.Top
	        leftMargin: 0
	    }
 	
 		Label {
	        text: "(Messages Here...)"
	        visible: false
	        textStyle.color: ColorUtils.get(0xff262626)
	        textStyle.base: FontUtils.P3R
	        
	        horizontalAlignment: HorizontalAlignment.Fill
	        verticalAlignment: VerticalAlignment.Top	 
	        topMargin: 0
	        bottomMargin: 0
	    }
	    
	    layoutProperties: StackLayoutProperties {
            spaceQuota: 1
        }
    }
    
    ImageButton {
        verticalAlignment: VerticalAlignment.Center
        
        defaultImageSource: RadioPlaybackContext.isCurrentFrequencyFavourite ? "asset:///images/radio/fmradio_ic_enabledpressed_favorite.png" : "asset:///images/radio/fmradio_ic_enabled_favorite.png" 
        pressedImageSource: RadioPlaybackContext.isCurrentFrequencyFavourite ? "asset:///images/radio/fmradio_ic_enabledpressed_favorite.png" : "asset:///images/radio/fmradio_ic_enabled_favorite.png"
        disabledImageSource: RadioPlaybackContext.isCurrentFrequencyFavourite ? "asset:///images/radio/fmradio_ic_enabledpressed_favorite.png" : "asset:///images/radio/fmradio_ic_enabled_favorite.png"   
        
        onClicked: {
	        if(RadioPlaybackContext.radioPlaybackActive) {
		        if (RadioPlaybackContext.isCurrentFrequencyFavourite) {
		        	RadioPlaybackContext.removeFavourite(RadioPlaybackContext.radioPlayer.frequency);
		        } else {
		        	RadioPlaybackContext.addFavourite(RadioPlaybackContext.radioPlayer.frequency);
		        }
	        }   
        }
    }
}
