import bb.cascades 1.0
import "../../core/layoutconstants.js" as LayoutConstants

Container {	
	id: listItem
	minHeight: LayoutConstants.LIST_ITEM_VISUAL_HEIGHT
	layout: DockLayout {}  
	   
    property bool isCurrentlyPlaying
    property bool favourite
    
	contextActions: [
        ActionSet {
            ActionItem {
                id: messageAction
                title: favourite ? (qsTr("Remove from Favorites") + Retranslate.onLanguageChanged) : (qsTr("Add to Favorites") + Retranslate.onLanguageChanged)
                imageSource: favourite ? "asset:///images/radio/fmradio_ic_enabledpressed_favorite.png" : "asset:///images/radio/fmradio_ic_enabled_favorite.png" 
                onTriggered: {
                    if (favourite) {
                        RadioPlaybackContext.removeFavourite(ListItemData["frequency"]);
                    } else {
                        RadioPlaybackContext.addFavourite(ListItemData["frequency"]);
                    }
                }
            }
        }
    ]
    	
    background: ListItem.selected ? ColorUtils.get(0xff00a8df) : ColorUtils.get(0xffe4e4e4)
		 
	Container {		
		layout: StackLayout {
	    	orientation:LayoutOrientation.LeftToRight	    	
	    }
		verticalAlignment: VerticalAlignment.Center 
		horizontalAlignment: HorizontalAlignment.Fill
		leftPadding: LayoutConstants.RADIO_ALBUM_LIST_PADDING
  		rightPadding: LayoutConstants.RADIO_ALBUM_LIST_PADDING		        
        	        
        Label {
        	text : ListItemData["title"]
        	
            textStyle.base: FontUtils.PrimaryR
            textStyle.color: listItem.ListItem.selected ? ColorUtils.getPrimaryTextColor() : 
                				(isCurrentlyPlaying? LayoutConstants.LIST_ITEM_VISUAL_PLAYING_TEXT : ColorUtils.get(0xff212223))
            
        	layoutProperties: StackLayoutProperties {	    	    
	            spaceQuota: 100
	        }           		
	        verticalAlignment: VerticalAlignment.Center        	  	
        }
    }
        
    //Image to create divider between lists of songs
    ImageView {
        visible: !(listItem.ListItem.indexInSection + 1 == listItem.ListItem.sectionSize)
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Bottom
        imageSource: "asset:///images/playing/tracks_divider.amd"
    }
    
    //Image that wraps the item when it is activated.
    ImageView {
        id: borderImage
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        visible: false
        imageSource: "asset:///images/common/core_item_border.amd"
    }
    
    ListItem.onActivationChanged: {
        borderImage.visible = active;
    }
}
