import bb.cascades 1.0
import "../../core/"
import "../../core/layoutconstants.js" as LayoutConstants

Container {
	property variant stationsModel
	
    //padding added to the bottom of the list so album art does not cover the last track when it's pulled down
    bottomPadding: LayoutConstants.RADIO_LIST_BOTTOM_PADDING
    
	layout: StackLayout {
        orientation: LayoutOrientation.TopToBottom
    }
    
    background: ColorUtils.get(0xffe4e4e4)
    
    function scrollToPlayingItem() {
        if (RadioPlaybackContext.playlistController.currentIndex.length != 0){
            listView.scrollToItem(RadioPlaybackContext.playlistController.currentIndex, ScrollAnimation.None);
        }
    }

    Container {
        id: labels
        layout: DockLayout {}
        background: ColorUtils.get(0xff909090)
        
        ListTextLabel {
            text1: listView.isFavouritesList ? qsTr("Favorites", "column title") + Retranslate.onLanguageChanged : qsTr("Local Stations", "column title") + Retranslate.onLanguageChanged
            textColor1: Color.White
            leftPadding: LayoutConstants.RADIO_ALBUM_LIST_PADDING
  			rightPadding: LayoutConstants.RADIO_ALBUM_LIST_PADDING
        }
    }
    
	ListView {		    
		id: listView
	    scrollRole: ScrollRole.None	    
        dataModel: RadioPlaybackContext.playlistController.playlist	    
        property variant playlistItemController: RadioPlaybackContext.playlistController
        property bool isFavouritesList: listView.dataModel == RadioPlaybackContext.favouritesDataModel
        
	 	listItemComponents: [
	        ListItemComponent {
                type:"item"
	            RadioPlayerListItem {
                    property bool isCurrentItem: false
                    favourite: ListItem.view.isFavouritesList ? true : ListItemData["isfavourite"]
                    
                    isCurrentlyPlaying: isCurrentItem
	            	
	            	onCreationCompleted: {    
                        RadioPlaybackContext.radioPlayerClosed.connect(disconnect); 
                        
                        isCurrentItem = RadioPlaybackContext.playlistController.currentIndex.length != 0  && RadioPlaybackContext.playlistController.currentIndex == ListItem.indexPath[0];
                        
                        RadioPlaybackContext.playlistController.currentIndexChanged.connect(onCurrentIndexChanged);
                    }
	            	
                    ListItem.onIndexPathChanged: {
                        isCurrentItem = RadioPlaybackContext.playlistController.currentIndex.length != 0  && RadioPlaybackContext.playlistController.currentIndex == ListItem.indexPath[0];
                    }
					
					function onCurrentIndexChanged (index) {
						isCurrentItem = (index[0] == ListItem.indexPath[0]);
					}
					
                    function disconnect() {
                        RadioPlaybackContext.playlistController.currentIndexChanged.disconnect(onCurrentIndexChanged);
                        RadioPlaybackContext.radioPlayerClosed.disconnect(disconnect); 
                    }
	            }
	        }
	    ]
	    
        onTriggered: {
            playlistItemController.currentIndex = indexPath;
        }
	}
}
