import bb.cascades 1.0
import bb.cascades.multimedia 1.0
import bb.cascades.multimedia.internal 1.0
import "../../nowplaying"
    
NowPlayingVolumeControl {
    id: radioVolumeControl
    
    onCreationCompleted: {        
        //Make sure we register to find out when the player screen is close so we can clean up
        RadioPlaybackContext.radioPlayerClosed.connect(onRadioPlayerClosed);
        
        //Hook up to the VolumeController
        volumeControl.connectVolumePlaybackController(RadioPlaybackContext.volumeController, false);
    }
    
    function onRadioPlayerClosed() {        
        //Disconnect from the VolumeController
        volumeControl.disconnectVolumePlaybackController();
        
        //Disconnect from the Player Screen close signal
        RadioPlaybackContext.radioPlayerClosed.disconnect(onRadioPlayerClosed);
    }
}
